I have tried CI= npm run build but no difference

I need advice to debug deploy https://app.netlify.com/sites/practical-mcnulty-83e18a/deploys/5f2689a3bc72d8e9a74fb498

Hey Kenny,

It’s saying that react-router-dom is not installed, have you installed the package?

yeah i have. But it keeps showing the error

Package.json

{

“name”: “little-rock”,

“version”: “0.1.0”,

“private”: true,

“dependencies”: {

"@material-ui/core": "^4.10.2",

"@material-ui/icons": "^4.9.1",

"@material-ui/styles": "^4.10.0",

"@testing-library/jest-dom": "^4.2.4",

"@testing-library/react": "^9.5.0",

"@testing-library/user-event": "^7.2.1",

"bootstrap": "^4.5.0",

"google-maps-react": "^2.0.6",

"grommet": "^2.14.0",

"grommet-icons": "^4.4.0",

"grommet-styles": "^0.2.0",

"polished": "^3.6.5",

"react": "^16.13.1",

"react-bootstrap": "^1.0.1",

"react-dom": "^16.13.1",

"react-router": "^5.2.0",

"react-router-dom": "^5.2.0",

"react-scripts": "3.4.1",

"semantic-ui-react": "^0.88.2",

"styled-components": "^5.1.1"

},

“scripts”: {

"start": "react-scripts start",

"build": "react-scripts build",

"test": "react-scripts test",

"eject": "react-scripts eject"

},

“eslintConfig”: {

"extends": "react-app"

},

“browserslist”: {

"production": [

  ">0.2%",

  "not dead",

  "not op_mini all"

],

"development": [

  "last 1 chrome version",

  "last 1 firefox version",

  "last 1 safari version"

]

}

}

Hi @kennymanman,

Please don’t multi-post the same concern. It makes it harder for us to see your progress.

I agree with Joshua above, as I also posted here. You’ll need to ensure that you’re installing the dependency correctly.